Index: extensions/app_diameap/CMakeLists.txt
===================================================================
--- extensions/app_diameap/CMakeLists.txt	(revision 431)
+++ extensions/app_diameap/CMakeLists.txt	(revision 438)
@@ -25,5 +25,4 @@
     diameap_user.h
     diameap.tab.h
-    diameap_init.h
     diameap.tab.c
     lex.diameap.c        
Index: extensions/app_diameap/diameap.h
===================================================================
--- extensions/app_diameap/diameap.h	(revision 425)
+++ extensions/app_diameap/diameap.h	(revision 438)
@@ -71,6 +71,10 @@
 extern struct diameap_conf *diameap_config;
 
-/* Main function of DiamEAP extension */
-static int diameap_main(char * conffile);
+/* Initialize the configuration of DiamEAP*/
+int diameap_init(char * conffile);
+
+/* parser */
+int diameapparse(struct diameap_conf * config);
+
 
 #endif /* DIAMEAP_H_ */
Index: extensions/app_diameap/diameap.l
===================================================================
--- extensions/app_diameap/diameap.l	(revision 425)
+++ extensions/app_diameap/diameap.l	(revision 438)
@@ -50,4 +50,5 @@
 	}	
  
+#define YY_NO_INPUT
 %}
 
@@ -58,5 +59,5 @@
 %option bison-bridge 
 %option bison-locations
-
+%option nounput
 
 %%
Index: extensions/app_diameap/diameap_common.h
===================================================================
--- extensions/app_diameap/diameap_common.h	(revision 425)
+++ extensions/app_diameap/diameap_common.h	(revision 438)
@@ -44,5 +44,4 @@
 #include "diameap.h"
 #include "diameap_plugins.h"
-#include "diameap_init.h"
 #include "diameap_eap.h"
 #include "diameap_server.h"
Index: extensions/app_diameap/diameap_eap.c
===================================================================
--- extensions/app_diameap/diameap_eap.c	(revision 425)
+++ extensions/app_diameap/diameap_eap.c	(revision 438)
@@ -38,4 +38,217 @@
 #include "diameap_common.h"
 
+static void diameap_ba_nextid(struct eap_state_machine * sm, int * id)
+{
+	TRACE_ENTRY("%p %p",sm,id);
+
+	if (sm->currentId < 0)
+	{
+		*id = (u8) (255 * rand() / RAND_MAX) & 0xFFU;
+	}
+	else
+	{
+		*id = (sm->currentId++) & 0xFFU;
+	}
+	if (*id == sm->lastId)
+	{
+		*id=*id+1;
+	}
+}
+
+static void diameap_ba_policyupdate(struct eap_state_machine * eap_sm,
+		struct eap_packet eapPacket)
+{
+	TRACE_ENTRY("%p %p",eap_sm, eapPacket);
+	if ((eap_sm->respMethod == TYPE_NAK))
+	{
+		int id;
+		eap_sm->user.pmethods = 0;
+		u32 vendor;
+		eap_type type;
+		u8 *data = (u8 *) eapPacket.data;
+		data += 5;
+		id = 5;
+		while (id < eapPacket.length)
+		{
+			vendor = VENDOR_IETF;
+			type = G8(data);
+			if (diameap_plugin_exist(vendor, type) == TRUE)
+			{
+				eap_sm->user.proposedmethods[id - 5].method = type;
+				eap_sm->user.proposedmethods[id - 5].vendor = vendor;
+				eap_sm->user.pmethods++;
+			}
+			data++;
+			id++;
+		}
+		eap_sm->user.methodId = -1;
+	}
+}
+
+static int diameap_ba_policygetnextmethod(struct eap_state_machine * eap_sm,
+		eap_type * eaptype, u32 * vendor)
+{
+	TRACE_ENTRY("%p %p %p",eap_sm,eaptype,vendor);
+	*vendor = 0;
+	*eaptype = TYPE_NONE;
+	eap_sm->selectedMethod = NULL;
+
+	if (eap_sm == NULL)
+	{
+		return EINVAL;
+	}
+
+	if (eap_sm->user.userid == NULL)
+	{
+		if ((eap_sm->currentMethod == TYPE_NONE))
+		{
+			*vendor = VENDOR_IETF;
+			*eaptype = TYPE_IDENTITY;
+			if (eap_sm->selectedMethod != NULL)
+			{
+				(*eap_sm->selectedMethod->eap_method_free)(eap_sm->methodData);
+				eap_sm->methodData = NULL;
+			}
+			CHECK_FCT(diameap_plugin_get(VENDOR_IETF,TYPE_IDENTITY,&eap_sm->selectedMethod));
+			return 0;
+		}
+
+		eap_sm->selectedMethod = NULL;
+		*vendor = 0;
+		*eaptype = TYPE_NONE;
+		return 0;
+	}
+
+	if (eap_sm->user.methodId == -1)
+	{
+		if (eap_sm->user.proposed_eap_method >= TYPE_EAP_MD5)
+		{
+			*vendor = eap_sm->user.proposed_eap_method_vendor;
+			if (*vendor == VENDOR_IETF)
+			{
+				*eaptype = eap_sm->user.proposed_eap_method;
+			}
+			else
+			{
+				*eaptype = TYPE_EXPANDED_TYPES;
+			}
+			if (eap_sm->selectedMethod != NULL)
+			{
+				(*eap_sm->selectedMethod->eap_method_free)(eap_sm->methodData);
+				eap_sm->methodData = NULL;
+			}
+			CHECK_FCT_DO(diameap_plugin_get(*vendor,*eaptype,&eap_sm->selectedMethod),
+					{	TRACE_DEBUG(INFO,"%s [EAP Protocol] Invalid EAP-TYPE %d (vendor %d)",DIAMEAP_EXTENSION,*eaptype,*vendor);return 1;});
+
+		}
+		eap_sm->user.proposed_eap_method = TYPE_NONE;
+	}
+	else
+	{
+		*vendor = eap_sm->user.proposedmethods[eap_sm->user.methodId].vendor;
+		if (eap_sm->user.proposedmethods[eap_sm->user.methodId].vendor
+				== VENDOR_IETF)
+		{
+			*eaptype
+					= eap_sm->user.proposedmethods[eap_sm->user.methodId].method;
+		}
+		else
+		{
+			*eaptype = TYPE_EXPANDED_TYPES;
+		}
+		if (eap_sm->selectedMethod != NULL)
+		{
+			(*eap_sm->selectedMethod->eap_method_free)(eap_sm->methodData);
+			eap_sm->methodData=NULL;
+		}
+		CHECK_FCT(diameap_plugin_get(eap_sm->user.proposedmethods[eap_sm->user.methodId].vendor,eap_sm->user.proposedmethods[eap_sm->user.methodId].method,&eap_sm->selectedMethod));
+
+		eap_sm->user.methodId++;
+	}
+
+	return 0;
+}
+
+static int diameap_ba_policygetdecision(struct eap_state_machine * eap_sm,
+		struct diameap_eap_interface * eap_i, decision * gdecision)
+{
+	TRACE_ENTRY("%p %p %p",eap_sm,eap_i,gdecision);
+
+	if (eap_sm->user.userid != NULL)
+	{
+
+		if (eap_sm->methodState == EAP_M_END)
+		{
+
+			if (eap_sm->respMethod == TYPE_IDENTITY)
+			{
+
+				*gdecision = DECISION_CONTINUE;
+				return 0;
+			}
+
+			if ((eap_sm->respMethod == TYPE_NAK) || ((eap_sm->respMethod
+					== TYPE_EXPANDED_TYPES) && (eap_sm->respVendor
+					== VENDOR_IETF) && (eap_sm->respVendorMethod == TYPE_NAK)))
+			{
+				goto SelectNextMethod;
+			}
+
+			if (eap_sm->user.success == TRUE)
+			{
+
+				*gdecision = DECISION_SUCCESS;
+			}
+			else
+			{
+
+				*gdecision = DECISION_FAILURE;
+			}
+
+		}
+		else
+		{
+			goto SelectNextMethod;
+		}
+		return 0;
+
+		SelectNextMethod: if ((eap_sm->user.methodId
+				== (MAXPROPOSEDMETHODS - 1))
+				|| ((eap_sm->user.proposedmethods[eap_sm->user.methodId + 1].method
+						== TYPE_NONE)
+						&& (eap_sm->user.proposedmethods[eap_sm->user.methodId
+								+ 1].vendor == VENDOR_IETF)))
+		{
+			TRACE_DEBUG(FULL+1,
+					"%s [EAP protocol] None of proposed EAP Methods authenticated the user.(FAILURE)",DIAMEAP_EXTENSION);
+			*gdecision = DECISION_FAILURE;
+			return 0;
+		}
+
+		eap_sm->user.methodId = 0;
+		*gdecision = DECISION_CONTINUE;
+		return 0;
+	}
+
+	if (eap_sm->currentMethod == TYPE_IDENTITY)
+	{
+		*gdecision = DECISION_FAILURE;
+		return 0;
+	}
+
+	*gdecision = DECISION_CONTINUE;
+	return 0;
+}
+
+static boolean diameap_ba_policydopickup(eap_type type)
+{
+	TRACE_ENTRY("%p",type);
+	if (type == TYPE_IDENTITY)
+	{
+		return TRUE;
+	}
+	return FALSE;
+}
+
 int diameap_eap_statemachine(struct eap_state_machine * eap_sm,
 		struct diameap_eap_interface * eap_i, boolean * non_fatal_error)
@@ -375,5 +588,9 @@
 			}
 			break;
+
 		case EAP_END:
+			break;
+
+		case EAP_IDLE:
 			break;
 		}
@@ -383,214 +600,2 @@
 }
 
-static void diameap_ba_nextid(struct eap_state_machine * sm, int * id)
-{
-	TRACE_ENTRY("%p %p",sm,id);
-
-	if (sm->currentId < 0)
-	{
-		*id = (u8) (255 * rand() / RAND_MAX) & 0xFFU;
-	}
-	else
-	{
-		*id = (sm->currentId++) & 0xFFU;
-	}
-	if (*id == sm->lastId)
-	{
-		*id++;
-	}
-}
-
-static void diameap_ba_policyupdate(struct eap_state_machine * eap_sm,
-		struct eap_packet eapPacket)
-{
-	TRACE_ENTRY("%p %p",eap_sm, eapPacket);
-	if ((eap_sm->respMethod == TYPE_NAK))
-	{
-		int id;
-		eap_sm->user.pmethods = 0;
-		u32 vendor;
-		eap_type type;
-		u8 *data = (u8 *) eapPacket.data;
-		data += 5;
-		id = 5;
-		while (id < eapPacket.length)
-		{
-			vendor = VENDOR_IETF;
-			type = G8(data);
-			if (diameap_plugin_exist(vendor, type) == TRUE)
-			{
-				eap_sm->user.proposedmethods[id - 5].method = type;
-				eap_sm->user.proposedmethods[id - 5].vendor = vendor;
-				eap_sm->user.pmethods++;
-			}
-			data++;
-			id++;
-		}
-		eap_sm->user.methodId = -1;
-	}
-}
-
-static int diameap_ba_policygetnextmethod(struct eap_state_machine * eap_sm,
-		eap_type * eaptype, u32 * vendor)
-{
-	TRACE_ENTRY("%p %p %p",eap_sm,eaptype,vendor);
-	*vendor = 0;
-	*eaptype = TYPE_NONE;
-	eap_sm->selectedMethod = NULL;
-
-	if (eap_sm == NULL)
-	{
-		return EINVAL;
-	}
-
-	if (eap_sm->user.userid == NULL)
-	{
-		if ((eap_sm->currentMethod == TYPE_NONE))
-		{
-			*vendor = VENDOR_IETF;
-			*eaptype = TYPE_IDENTITY;
-			if (eap_sm->selectedMethod != NULL)
-			{
-				(*eap_sm->selectedMethod->eap_method_free)(eap_sm->methodData);
-				eap_sm->methodData = NULL;
-			}
-			CHECK_FCT(diameap_plugin_get(VENDOR_IETF,TYPE_IDENTITY,&eap_sm->selectedMethod));
-			return 0;
-		}
-
-		eap_sm->selectedMethod = NULL;
-		*vendor = 0;
-		*eaptype = TYPE_NONE;
-		return 0;
-	}
-
-	if (eap_sm->user.methodId == -1)
-	{
-		if (eap_sm->user.proposed_eap_method >= TYPE_EAP_MD5)
-		{
-			*vendor = eap_sm->user.proposed_eap_method_vendor;
-			if (*vendor == VENDOR_IETF)
-			{
-				*eaptype = eap_sm->user.proposed_eap_method;
-			}
-			else
-			{
-				*eaptype = TYPE_EXPANDED_TYPES;
-			}
-			if (eap_sm->selectedMethod != NULL)
-			{
-				(*eap_sm->selectedMethod->eap_method_free)(eap_sm->methodData);
-				eap_sm->methodData = NULL;
-			}
-			CHECK_FCT_DO(diameap_plugin_get(*vendor,*eaptype,&eap_sm->selectedMethod),
-					{	TRACE_DEBUG(INFO,"%s [EAP Protocol] Invalid EAP-TYPE %d (vendor %d)",DIAMEAP_EXTENSION,*eaptype,*vendor);return 1;});
-
-		}
-		eap_sm->user.proposed_eap_method = TYPE_NONE;
-	}
-	else
-	{
-		*vendor = eap_sm->user.proposedmethods[eap_sm->user.methodId].vendor;
-		if (eap_sm->user.proposedmethods[eap_sm->user.methodId].vendor
-				== VENDOR_IETF)
-		{
-			*eaptype
-					= eap_sm->user.proposedmethods[eap_sm->user.methodId].method;
-		}
-		else
-		{
-			*eaptype = TYPE_EXPANDED_TYPES;
-		}
-		if (eap_sm->selectedMethod != NULL)
-		{
-			(*eap_sm->selectedMethod->eap_method_free)(eap_sm->methodData);
-			eap_sm->methodData;
-		}
-		CHECK_FCT(diameap_plugin_get(eap_sm->user.proposedmethods[eap_sm->user.methodId].vendor,eap_sm->user.proposedmethods[eap_sm->user.methodId].method,&eap_sm->selectedMethod));
-
-		eap_sm->user.methodId++;
-	}
-
-	return 0;
-}
-
-static int diameap_ba_policygetdecision(struct eap_state_machine * eap_sm,
-		struct diameap_eap_interface * eap_i, decision * gdecision)
-{
-	TRACE_ENTRY("%p %p %p",eap_sm,eap_i,gdecision);
-
-	if (eap_sm->user.userid != NULL)
-	{
-
-		if (eap_sm->methodState == EAP_M_END)
-		{
-
-			if (eap_sm->respMethod == TYPE_IDENTITY)
-			{
-
-				*gdecision = DECISION_CONTINUE;
-				return 0;
-			}
-
-			if ((eap_sm->respMethod == TYPE_NAK) || ((eap_sm->respMethod
-					== TYPE_EXPANDED_TYPES) && (eap_sm->respVendor
-					== VENDOR_IETF) && (eap_sm->respVendorMethod == TYPE_NAK)))
-			{
-				goto SelectNextMethod;
-			}
-
-			if (eap_sm->user.success == TRUE)
-			{
-
-				*gdecision = DECISION_SUCCESS;
-			}
-			else
-			{
-
-				*gdecision = DECISION_FAILURE;
-			}
-
-		}
-		else
-		{
-			goto SelectNextMethod;
-		}
-		return 0;
-
-		SelectNextMethod: if ((eap_sm->user.methodId
-				== (MAXPROPOSEDMETHODS - 1))
-				|| ((eap_sm->user.proposedmethods[eap_sm->user.methodId + 1].method
-						== TYPE_NONE)
-						&& (eap_sm->user.proposedmethods[eap_sm->user.methodId
-								+ 1].vendor == VENDOR_IETF)))
-		{
-			TRACE_DEBUG(FULL+1,
-					"%s [EAP protocol] None of proposed EAP Methods authenticated the user.(FAILURE)",DIAMEAP_EXTENSION);
-			*gdecision = DECISION_FAILURE;
-			return 0;
-		}
-
-		eap_sm->user.methodId = 0;
-		*gdecision = DECISION_CONTINUE;
-		return 0;
-	}
-
-	if (eap_sm->currentMethod == TYPE_IDENTITY)
-	{
-		*gdecision = DECISION_FAILURE;
-		return 0;
-	}
-
-	*gdecision = DECISION_CONTINUE;
-	return 0;
-}
-
-static boolean diameap_ba_policydopickup(eap_type type)
-{
-	TRACE_ENTRY("%p",type);
-	if (type == TYPE_IDENTITY)
-	{
-		return TRUE;
-	}
-	return FALSE;
-}
Index: extensions/app_diameap/diameap_eap.h
===================================================================
--- extensions/app_diameap/diameap_eap.h	(revision 425)
+++ extensions/app_diameap/diameap_eap.h	(revision 438)
@@ -67,9 +67,5 @@
 
 int diameap_eap_statemachine(struct eap_state_machine * sm, struct diameap_eap_interface * eap_i, boolean * error);
-static void diameap_ba_nextid(struct eap_state_machine * sm, int * id);
-static void	diameap_ba_policyupdate(struct eap_state_machine * sm, struct eap_packet eapPacket);
-static int diameap_ba_policygetnextmethod(struct eap_state_machine * sm, eap_type * eaptype, u32 * vendor);
-static int diameap_ba_policygetdecision(struct eap_state_machine * sm,	struct diameap_eap_interface * eap_i, decision * gdecision);
-static boolean diameap_ba_policydopickup(eap_type type);
+
 
 #endif /* EAP_H_ */
Index: extensions/app_diameap/diameap_init.c
===================================================================
--- extensions/app_diameap/diameap_init.c	(revision 425)
+++ extensions/app_diameap/diameap_init.c	(revision 438)
@@ -113,36 +113,5 @@
 struct dict_object * dataobj_user_name = NULL;
 
-int diameap_init(char * conffile)
-{
-	TRACE_ENTRY("%p",conffile);
-
-	/* Initialize the diameap_config structure*/
-	CHECK_FCT(diameap_init_config(conffile));
-
-	if (diameap_config->conffile)
-	{
-		/* parse the configuration file*/
-		CHECK_FCT(diameap_parse_conffile());
-
-		/* Load EAP methods plug-ins */
-		CHECK_FCT(diameap_plugin_load());
-
-	}
-	else
-	{
-		TRACE_DEBUG(FULL,"%sNo EAP method plug-in available with a default configuration.",DIAMEAP_EXTENSION);
-	}
-
-	/* Initialize Dictionary templates */
-	CHECK_FCT(diameap_init_obj());
-
-	/* Initialize access to user's information Database */
-	CHECK_FCT(diameap_mysql_connect());
-
-	/* Dump DiamEAP extension configuration */
-	diameap_conf_dump();
-
-	return 0;
-}
+
 
 static int diameap_init_config(char * conffile)
@@ -389,23 +358,4 @@
 	}
 	return 0;
-}
-
-/* Reconnecting to MySQL Database */
-int diameap_mysql_reconnect()
-{
-	TRACE_ENTRY();
-	CHECK_POSIX(pthread_mutex_lock( &db_cs_mutex ));
-	if (db_conn == NULL)
-	{
-		TRACE_DEBUG(INFO,"%sReconnecting to MySQL server.",DIAMEAP_EXTENSION);
-		if(diameap_mysql_connect()==0){
-			TRACE_DEBUG(INFO,"%s Reconnected successfully to MySQL Server.",DIAMEAP_EXTENSION);
-		}else{
-			return 1;
-		}
-	}
-	CHECK_POSIX(pthread_mutex_unlock( &db_cs_mutex ));
-	return 0;
-
 }
 
@@ -440,2 +390,35 @@
 			"-------- DiamEAP extension : Configuration parameters (End) ---------------\n");
 }
+
+int diameap_init(char * conffile)
+{
+	TRACE_ENTRY("%p",conffile);
+
+	/* Initialize the diameap_config structure*/
+	CHECK_FCT(diameap_init_config(conffile));
+
+	if (diameap_config->conffile)
+	{
+		/* parse the configuration file*/
+		CHECK_FCT(diameap_parse_conffile());
+
+		/* Load EAP methods plug-ins */
+		CHECK_FCT(diameap_plugin_load());
+
+	}
+	else
+	{
+		TRACE_DEBUG(FULL,"%sNo EAP method plug-in available with a default configuration.",DIAMEAP_EXTENSION);
+	}
+
+	/* Initialize Dictionary templates */
+	CHECK_FCT(diameap_init_obj());
+
+	/* Initialize access to user's information Database */
+	CHECK_FCT(diameap_mysql_connect());
+
+	/* Dump DiamEAP extension configuration */
+	diameap_conf_dump();
+
+	return 0;
+}
Index: extensions/app_diameap/diameap_mysql.c
===================================================================
--- extensions/app_diameap/diameap_mysql.c	(revision 425)
+++ extensions/app_diameap/diameap_mysql.c	(revision 438)
@@ -38,4 +38,7 @@
 #include "diameap_mysql.h"
 
+static pthread_mutex_t db_cs_mutex =
+PTHREAD_MUTEX_INITIALIZER;
+
 int diameap_get_eap_user(struct eap_user * user, char * username)
 {
@@ -44,8 +47,7 @@
 	{
 		TRACE_DEBUG(INFO, "%sNot connected to the MySQL Database server.",DIAMEAP_EXTENSION);
-		if (diameap_mysql_reconnect())
-		{
-			return EINVAL;
-		}
+
+		return EINVAL;
+
 	}
 	mysql_thread_init();
@@ -67,6 +69,4 @@
 		CHECK_POSIX(pthread_mutex_unlock( &db_cs_mutex ));
 		TRACE_DEBUG(INFO, "%sQuery execution fail. %s",DIAMEAP_EXTENSION, mysql_error(db_conn));
-		db_conn = NULL;
-		diameap_mysql_reconnect();
 		mysql_thread_end();
 		free(query);
@@ -83,7 +83,7 @@
 
 		user->id = atoi(row[0]);
-		user->userid = strdup(row[1]);
+		memcpy(user->userid,row[1],strlen(row[1]));
 		user->useridLength = strlen(row[1]);
-		user->password = strdup(row[2]);
+		memcpy(user->password, row[2],strlen(row[2]));
 		user->passwordLength = strlen(row[2]);
 		user->proposed_eap_method = atoi(row[3]);
@@ -115,8 +115,7 @@
 	{
 		TRACE_DEBUG(INFO, "%sNot connected to the MySQL Database server.",DIAMEAP_EXTENSION);
-		if (diameap_mysql_reconnect())
-		{
-			return EINVAL;
-		}
+
+		return EINVAL;
+
 	}
 
@@ -138,6 +137,4 @@
 		CHECK_POSIX(pthread_mutex_unlock( &db_cs_mutex ));
 		TRACE_DEBUG(INFO, "%sQuery execution fail. %s",DIAMEAP_EXTENSION, mysql_error(db_conn));
-		db_conn = NULL;
-		diameap_mysql_reconnect();
 		mysql_thread_end();
 		free(query);
@@ -178,8 +175,7 @@
 	{
 		TRACE_DEBUG(INFO, "%sNot connected to the MySQL Database server.",DIAMEAP_EXTENSION);
-		if (diameap_mysql_reconnect())
-		{
-			return EINVAL;
-		}
+
+		return EINVAL;
+
 	}
 
@@ -202,6 +198,4 @@
 		CHECK_POSIX(pthread_mutex_unlock( &db_cs_mutex ));
 		TRACE_DEBUG(INFO, "%sQuery execution fail. %s",DIAMEAP_EXTENSION, mysql_error(db_conn));
-		db_conn = NULL;
-		diameap_mysql_reconnect();
 		mysql_thread_end();
 		free(query);
@@ -233,5 +227,6 @@
 }
 
-void diameap_mysql_disconnect(){
+void diameap_mysql_disconnect()
+{
 	mysql_close(db_conn);
 }
Index: extensions/app_diameap/diameap_mysql.h
===================================================================
--- extensions/app_diameap/diameap_mysql.h	(revision 425)
+++ extensions/app_diameap/diameap_mysql.h	(revision 438)
@@ -43,25 +43,23 @@
 #include <mysql.h>
 
-	/* MySQL Database connection */
-	MYSQL *db_conn;
+/* MySQL Database connection */
+MYSQL *db_conn;
 
-	static pthread_mutex_t db_cs_mutex = PTHREAD_MUTEX_INITIALIZER;
+int diameap_get_eap_user(struct eap_user * user, char * username);
 
-	int diameap_get_eap_user(struct eap_user * user, char * username);
+int diameap_mysql_connect();
 
-	int diameap_mysql_connect();
+int diameap_mysql_reconnect();
 
-	int diameap_mysql_reconnect();
+int diameap_set_mysql_param(char * user, char * passwd, char * server, char * database);
 
-	int diameap_set_mysql_param(char * user, char * passwd, char * server, char * database);
+void diameap_mysql_disconnect();
 
-	void diameap_mysql_disconnect();
-
-	/**/
-	int diameap_authentication_get_attribs(struct eap_user user,
+/* */
+int diameap_authentication_get_attribs(struct eap_user user,
 			struct fd_list * attribute_list);
 
-	/**/
-	int diameap_authorization_get_attribs(struct eap_user user,
+/* */
+int diameap_authorization_get_attribs(struct eap_user user,
 			struct fd_list * attribute_list);
 
